@import url("https://fonts.googleapis.com/css2?family=Inter&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

.menu-link {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 400;
  font-size: 24px;
  line-height: 29px;
  text-decoration: none;
  color: #717171;
  transition: all 0.6s ease;
}

.menu-link:hover {
  color: white;
}

.logo-menu {
  display: none;
}

.telephone-link {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 400;
  font-size: 24px;
  line-height: 29px;
  color: #717171;
  text-decoration: none;
  transition: all 0.6s ease;
}

.telephone-link:hover {
  color: white;
}

.container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 15px;
}

.menu-item {
  list-style: none;
}

.menu-list {
  display: flex;
  flex-direction: row;
  gap: 30px;
}

.navigation-div {
  display: flex;
  flex-direction: row;
  align-items: center;
  height: 100%;
  justify-content: space-between;
}

.nav-right {
  flex: 1 1 33.3%;
}

.logo {
  flex: 1 1 33.3%;
  display: flex;
  justify-content: center;
}


.phone-number {
  flex: 1 1 33.3%;
  display: flex;
  justify-content: flex-end;
}

/* .burger-btn {
  width: 50px;
  height: 30px;
  position: relative;
  display: none;
}

.burger-btn span,
.burger-btn::before,
.burger-btn::after {
  position: absolute;
  width: 100%;
  height: 2px;
  background: #717171;
  border-radius: 5px;
}

.burger-btn::before {
  content: "";
  top: 0%;
}

.burger-btn span {
  content: "";
  top: 50%;
}

.burger-btn::after {
  content: "";
  top: 100%;
} */

.burger-btn {
  width: 30px;
  height: 0px;
  position: relative;
  display: none;
  cursor: pointer;
  z-index: 100;
}


.burger-btn span {
  background: grey;
  display: block;
  height: 3.84px;
  position: absolute;
  width: 34px;
  z-index: 100;
}


.burger-btn span::before,
.burger-btn span::after {
  background: grey;
  content: "";
  display: block;
  height: 100%;
  width: 100%;
  position: absolute;
  z-index: 100;
  transition-duration: 0.8s;
}

.burger-btn span::before {
  top: -8px;
}

.burger-btn span::after {
  top: 8px;
}

.burger-btn.active span {
  background: transparent;
}

.burger-btn.active span::before {
  transition: transform 0.8s;
  transform: rotateZ(45deg);
  top: 0;
  background-color: grey;
}

.burger-btn.active span::after {
  transition: transform 0.8s;
  transform: rotateZ(-45deg);
  top: 0;
  background-color: grey;
}

.navigation {
  width: 100%;
  background-color: black;
  height: 113px;
}

h1 {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 700;
  font-size: 64px;
  line-height: 77px;
  color: #490E84;
  padding-top: 71px;
  padding-bottom: 40px;
}

.header {
  width: 100%;
  background: #F5F5F7;
  height: 980px;
}

.header-container {
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
}

.button-header {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 700;
  font-size: 24px;
  line-height: 29px;
  border-radius: 30px;
  width: 350px;
  padding-top: 22px;
  padding-bottom: 19px;
  background-color: #490E84;
  color: white;
  text-decoration: none;
  text-align: center;
  transition: all 0.6s ease;
  outline: 2px solid #490E84;
}

.button-header:hover {
  background-color: white;
  color: #490E84;
}

.img-phone {
  display: flex;
  flex-direction: column;
  gap: 25px;
  align-items: center;
}


.p-14px {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 130%;
  color: #0A0A0A;
}

.p-20px {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 700;
  font-size: 20px;
  line-height: 130%;
  color: #0A0A0A;
}

.about-news-container {
  display: flex;
  flex-direction: row;
  gap: 191px;
}


.information {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

h2 {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 700;
  font-size: 32px;
  line-height: 39px;
  color: #717171;
}

.main-name {
  display: flex;
  align-items: center;
  justify-content: center;
  padding-bottom: 50px;
  padding-top: 87px;
}

.images-choose-iphone {
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 80px;
}

.information-about-iphone {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
  padding-top: 20px;
}

.img-iphone {
  border-radius: 30px;
}

.a-14px {
  color: grey;
  list-style: none;
  text-decoration: none;
  font-family: 'Inter';
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  transition: all 0.6s ease;
}

.a-14px:hover {
  color: white;
}


.main-name-2 {
  padding-top: 150px;
}

.a-img-iphone img {
  transition: all 0.6s ease;
}

.a-img-iphone img:hover {
  transform: scale(1.1);
}

.button-footer {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 700;
  font-size: 14px;
  line-height: 130%;
  color: #490E84;
  background-color: white;
  border-radius: 30px;
  padding-top: 16px;
  padding-bottom: 16px;
  padding-left: 81px;
  padding-right: 81px;
  text-decoration: none;
  transition: all 0.6s ease 0s;
}

.button-footer:hover {
  background-color: grey;
}

.purple-container {
  height: 600px;
  width: 100%;
  background: #574B63;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  display: flex;
  flex: 1 1 50%;
}

.container-footer {
  display: flex;
  flex-direction: row;
  padding-top: 150px;
}

h3 {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 700;
  font-size: 32px;
  line-height: 39px;
  color: white;
}

.nearest-time p {
  opacity: 0.5;
  color: white;
}

.for-buy {
  display: flex;
  flex-direction: column;
  gap: 30px;
  padding-top: 72px;
}

.footer-item {
  display: flex;
  gap: 10px;
  flex-direction: column;
}

.button-div {
  display: flex;
  justify-content: center;
}

.img-footer img {
  display: flex;
  flex: 1 1 50%;
}

.politic-confidentiality p {
  color: #717171;
}

.black {
  height: 150px;
  width: 100%;
  background-color: black;
}

.container-end {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  height: 150px;
}

.politic-confidentiality {
  display: flex;
  flex: 1 1 33.3%;
  align-items: center;
  justify-content: center;
}

.logo-end {
  display: flex;
  flex: 1 1 33.3%;
  align-items: center;
  justify-content: center;
}

.phone-number-end {
  display: flex;
  flex: 1 1 33.3%;
  align-items: center;
  justify-content: center;
}

input {
  background: #574B63;
  border: none;
  color: white;
  border-bottom: 1px solid white;
  padding: 10px 0;
}

input:focus {
  outline: none;
}

input::placeholder {
  color: white;
  opacity: 0.5;
}

@media screen and (max-width: 768px) {


  .logo-menu {
    display: flex;
    padding-top: 375px;
  }

  #menu-list-mobile {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .nav-right.active {
    left: 0%;
  }

  .nav-right {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 80px;
    position: fixed;
    top: 0;
    left: 100%;
    width: 100%;
    height: 100%;
    padding: 150px 0 0 0px;
    background: black;
    transition: all 0.6s ease 0s;
  }

  .navigation {
    position: fixed;
    z-index: 50;
    width: 100%;

  }

  .navigation-div {
    width: 100%;
    display: flex;
    justify-content: space-between;

  }

  .logo {
    display: flex;
    justify-content: flex-start;
  }

  .phone-number {
    flex: 1 1 50%;
    display: none
  }


  .img-phone img {
    width: 100%;
  }

  .img-phone {
    padding-bottom: 0;
    padding-top: 0;
  }

  .header {
    height: 100%;
    margin-bottom: 40px;
    padding-top: 50px;
  }


  .img-phone {
    padding: 0 20px;
  }

  h1 {
    font-size: 55px;
    text-align: center;
    padding-top: 150px;
  }


  .header-container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 60px;
  }

  .burger-btn {
    display: block;
  }

  .information {
    padding: 0 10px;
  }

  .information .p-14px {
    text-align: center;
  }

  .information .p-20px {
    padding: 20px;
    text-align: center;
  }

  .p-14px {
    font-size: 14px;
  }

  .main-name {
    padding-bottom: 20px;
  }

  .container-footer {
    padding-top: 137px;
  }

  .about-news-container {
    display: flex;
    flex-direction: column;
    gap: 70px;
  }

  .image-iphone14 {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .images-choose-iphone {
    display: flex;
    flex-direction: column;
    align-items: center;
  }


  .img-footer {
    display: none;
  }

  .purple-container {
    width: 100%;
    padding: 0 50px;
    margin: 0 -15px;

  }

  .want-iphone {
    width: 100%;
  }

  h3 {
    text-align: center;
  }

  .iphones-choose {
    display: flex;
    flex-direction: column;
  }

  .images-choose-iphone {
    flex-wrap: wrap;
  }

  .nearest-time p {
    padding: 0 5px;
    text-align: center;
  }

  input {
    padding: 5px 5px;
  }

  h3 {
    font-size: 28px;
  }

  .black {
    margin-top: 30px;
    padding-bottom: 30px;
  }

  .telephone-link {
    font-size: 14px;
  }

  .phone-number-end {
    display: flex;
    flex: 1 1 20%;
  }

  .politic-confidentiality {
    display: flex;
    flex: 1 1 20%;

  }

  .logo-end {
    display: flex;
    flex: 1 1 60%;
  }

  .container-end {
    display: flex;
    justify-content: center;
    gap: 10px;
    flex-direction: column-reverse;
  }

  .phone-number-end {
    padding-top: 10px;

  }

  .phone-number-end a {
    font-size: 24px;
  }

  .navigation-div {
    width: 90%;
  }

}

@media screen and (min-width: 768px) and (max-width: 1200px) {
  .images-choose-iphone {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
  }

  .about-news-container {
    /* width: 80%; */
    display: flex;
    align-items: center;
  }


  .logo-menu {
    display: flex;
  }

  #menu-list-mobile {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .nav-right.active {
    left: 0;
  }

  .nav-right {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 80px;
    position: fixed;
    top: 0;
    left: 100%;
    width: 100%;
    height: 100%;
    padding: 150px 0 0 0px;
    background: black;
    transition: all 0.6s ease 0s;
  }

  .navigation {
    position: fixed;
    z-index: 50;

  }

  .navigation-div {
    width: 100%;
    display: flex;
    justify-content: space-between;

  }

  .logo {
    display: flex;
    justify-content: flex-start;
  }

  .phone-number {
    flex: 1 1 50%;
    display: none
  }

  .img-phone img {
    width: 100%;
  }

  .img-phone {
    padding-bottom: 0;
    padding-top: 0;
  }

  .header {
    height: 100%;
    margin-bottom: 40px;
    padding-top: 50px;
  }


  .img-phone {
    padding: 0 20px;
  }

  h1 {
    font-size: 55px;
    text-align: center;
    padding-top: 150px;
  }


  .header-container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 60px;
  }

  .burger-btn {
    display: block;
  }

  .information {
    padding: 0 100px;
  }

  .information .p-14px {
    text-align: center;
  }

  .information .p-20px {
    padding: 20px;
    text-align: center;
  }

  .p-14px {
    font-size: 14px;
  }

  .main-name {
    padding-bottom: 20px;
  }

  .container-footer {
    padding-top: 137px;
  }

  .about-news-container {
    display: flex;
    flex-direction: column;
    gap: 70px;
  }

  .image-iphone14 {
    display: flex;
    align-items: center;
    justify-content: center;
  }



  .img-footer {
    display: none;
  }

  .purple-container {
    width: 100%;
    padding: 0 50px;
    margin: 0 -15px;

  }

  .want-iphone {
    width: 100%;
  }

  h3 {
    text-align: center;
  }

  .iphones-choose {
    display: flex;
    flex-direction: column;
  }

  .images-choose-iphone {
    flex-wrap: wrap;
  }

  .nearest-time p {
    padding: 0 5px;
    text-align: center;
  }

  input {
    padding: 5px 5px;
  }

  h3 {
    font-size: 28px;
  }

  .black {
    margin-top: 30px;
    padding-bottom: 30px;
  }

  .telephone-link {
    font-size: 14px;
  }

  .phone-number-end {
    display: flex;
    flex: 1 1 20%;
  }

  .politic-confidentiality {
    display: flex;
    flex: 1 1 20%;

  }

  .logo-end {
    display: flex;
    flex: 1 1 60%;
  }

  .container-end {
    display: flex;
    justify-content: center;
    gap: 10px;
    flex-direction: column-reverse;
  }

  .phone-number-end {
    padding-top: 10px;

  }

  .phone-number-end a {
    font-size: 24px;
  }

  .navigation-div {
    width: 90%;
  }

}